Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub3/tei-to-epub3.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub3/tei-to-epub3.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub3/tei-to-epub3.xsl	(revision 2397)
@@ -587,299 +773,350 @@
 		      border: solid red 1pt; 
 		      text-align:center;
 		    </xsl:attribute>
-                    <xsl:call-template name="generateTitle"/>
-                  </div>
-                </xsl:when>
-                <xsl:otherwise>
-                  <div>
-                    <img width="1200" height="1700" alt="cover picture" src="{$coverImageInside}"/>
-                  </div>
-                </xsl:otherwise>
-              </xsl:choose>
-            </body>
-          </html>
-        </xsl:result-document>
-        <xsl:for-each select="tei:text/tei:front/tei:titlePage">
-          <xsl:variable name="N" select="position()"/>
-          <xsl:if test="$verbose='true'">
-            <xsl:message>write file OPS/titlepage<xsl:value-of select="$N"/>.xhtml</xsl:message>
-          </xsl:if>
-          <xsl:result-document href="{concat($directory,'/OPS/titlepage',$N,'.xhtml')}" method="xml">
-            <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
-              <head>
-                <xsl:call-template name="metaHTML">
-                  <xsl:with-param name="title">Title page</xsl:with-param>
-                </xsl:call-template>
-                <xsl:call-template name="linkCSS">
-		  <xsl:with-param
-		      name="file">stylesheet.css</xsl:with-param>
-		</xsl:call-template>
-                <title>Title page</title>
-              </head>
-              <body>
-                <div class="titlePage">
-                  <xsl:apply-templates/>
-                </div>
-              </body>
-            </html>
-          </xsl:result-document>
-        </xsl:for-each>
-        <xsl:if test="$filePerPage='true'">
-          <xsl:if test="$verbose='true'">
-            <xsl:message>write file OPS/titlepageverso.xhtml</xsl:message>
-          </xsl:if>
-          <xsl:result-document href="{concat($directory,'/OPS/titlepageverso.xhtml')}" method="xml">
-            <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
-              <head>
-                <xsl:call-template name="metaHTML">
-                  <xsl:with-param name="title">title page verso</xsl:with-param>
-                </xsl:call-template>
-                <title>title page verso</title>
-              </head>
-              <body>
-                <p/>
-              </body>
-            </html>
-          </xsl:result-document>
-        </xsl:if>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/titlepageback.xhtml</xsl:message>
-        </xsl:if>
-        <xsl:result-document href="{concat($directory,'/OPS/titlepageback.xhtml')}" method="xml">
-          <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
-            <head>
-              <xsl:call-template name="metaHTML">
-                <xsl:with-param name="title">About this book</xsl:with-param>
-              </xsl:call-template>
-              <title>About this book</title>
-            </head>
-            <body>
-              <div style="text-align: left; font-size: larger">
-                <h2>Information about this book</h2>
-                <xsl:for-each select="/*/tei:teiHeader/tei:fileDesc">
-                  <xsl:apply-templates mode="metadata"/>
-                </xsl:for-each>
-                <xsl:for-each select="/*/tei:teiHeader/tei:encodingDesc">
-                  <xsl:apply-templates mode="metadata"/>
-                </xsl:for-each>
-              </div>
-            </body>
-          </html>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/toc.ncx</xsl:message>
-        </xsl:if>
-        <xsl:result-document href="{concat($directory,'/OPS/toc.ncx')}" method="xml">
-          <ncx xmlns="http://www.daisy.org/z3986/2005/ncx/" version="2005-1">
-            <head>
-              <meta name="dtb:uid">
-                <xsl:attribute name="content">
-                  <xsl:call-template name="generateID"/>
+										<xsl:call-template name="generateTitle" />
+									</div>
+								</xsl:when>
+								<xsl:otherwise>
+									<div>
+										<img width="1200" height="1700" alt="cover picture"
+											src="{$coverImageInside}" />
+									</div>
+								</xsl:otherwise>
+							</xsl:choose>
+						</body>
+					</html>
+				</xsl:result-document>
+				<xsl:for-each select="tei:text/tei:front/tei:titlePage">
+					<xsl:variable name="N" select="position()" />
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							write file OPS/titlepage
+							<xsl:value-of select="$N" />
+							.xhtml
+						</xsl:message>
+					</xsl:if>
+					<xsl:result-document
+						href="{concat($directory,'/OPS/titlepage',$N,'.xhtml')}"
+						method="xml">
+						<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+							<head>
+								<xsl:call-template name="metaHTML">
+									<xsl:with-param name="title">
+										Title page
+									</xsl:with-param>
+								</xsl:call-template>
+								<xsl:call-template name="linkCSS">
+									<xsl:with-param name="file">
+										stylesheet.css
+									</xsl:with-param>
+								</xsl:call-template>
+								<title>Title page</title>
+							</head>
+							<body>
+								<div class="titlePage">
+									<xsl:apply-templates />
+								</div>
+							</body>
+						</html>
+					</xsl:result-document>
+				</xsl:for-each>
+				<xsl:if test="$filePerPage='true'">
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							write file OPS/titlepageverso.xhtml
+						</xsl:message>
+					</xsl:if>
+					<xsl:result-document
+						href="{concat($directory,'/OPS/titlepageverso.xhtml')}"
+						method="xml">
+						<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+							<head>
+								<xsl:call-template name="metaHTML">
+									<xsl:with-param name="title">
+										title page verso
+									</xsl:with-param>
+								</xsl:call-template>
+								<title>title page verso</title>
+							</head>
+							<body>
+								<p />
+							</body>
+						</html>
+					</xsl:result-document>
+				</xsl:if>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/titlepageback.xhtml
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document
+					href="{concat($directory,'/OPS/titlepageback.xhtml')}" method="xml">
+					<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+						<head>
+							<xsl:call-template name="metaHTML">
+								<xsl:with-param name="title">
+									About this book
+								</xsl:with-param>
+							</xsl:call-template>
+							<title>About this book</title>
+						</head>
+						<body>
+							<div style="text-align: left; font-size: larger">
+								<h2>Information about this book</h2>
+								<xsl:for-each
+									select="/*/tei:teiHeader/tei:fileDesc">
+									<xsl:apply-templates mode="metadata" />
+								</xsl:for-each>
+								<xsl:for-each
+									select="/*/tei:teiHeader/tei:encodingDesc">
+									<xsl:apply-templates mode="metadata" />
+								</xsl:for-each>
+							</div>
+						</body>
+					</html>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/toc.ncx
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document
+					href="{concat($directory,'/OPS/toc.ncx')}" method="xml">
+					<ncx xmlns="http://www.daisy.org/z3986/2005/ncx/"
+						version="2005-1">
+						<head>
+							<meta name="dtb:uid">
+								<xsl:attribute name="content">
+                  <xsl:call-template
+									name="generateID" />
                 </xsl:attribute>
-              </meta>
-              <meta name="dtb:totalPageCount" content="0"/>
-              <meta name="dtb:maxPageNumber" content="0"/>
-            </head>
-            <docTitle>
-              <text>
-                <xsl:call-template name="generateSimpleTitle"/>
-              </text>
-            </docTitle>
-            <navMap>
-              <xsl:variable name="navPoints">
-                <navPoint>
-                  <navLabel>
-                    <text>[Cover]</text>
-                  </navLabel>
-                  <content src="titlepage.xhtml"/>
-                </navPoint>
-                <xsl:for-each select="tei:text/tei:front/tei:titlePage[1]">
-                  <xsl:variable name="N" select="position()"/>
-                  <navPoint>
-                    <navLabel>
-                      <text>[Title page]</text>
-                    </navLabel>
-                    <content src="titlepage{$N}.xhtml"/>
-                  </navPoint>
-                </xsl:for-each>
-                <xsl:choose>
-                  <xsl:when test="not($TOC/html:TOC/html:ul[@class='toc toc_body']/html:li)">
-                    <xsl:for-each select="$TOC/html:TOC/html:ul[@class='toc toc_front']">
-                      <xsl:apply-templates select="html:li"/>
-                    </xsl:for-each>
-                    <navPoint>
-                      <navLabel>
-                        <text>[The book]</text>
-                      </navLabel>
-                      <content src="index.xhtml"/>
-                    </navPoint>
-                    <xsl:for-each select="$TOC/html:TOC/html:ul[contains(@class,'group')]">
-                      <xsl:apply-templates select=".//html:li[not(contains(html:a/@href,'#'))]"/>
-                    </xsl:for-each>
-                    <xsl:for-each select="$TOC/html:TOC/html:ul[@class='toc toc_back']">
-                      <xsl:apply-templates select="html:li"/>
-                    </xsl:for-each>
-                  </xsl:when>
-                  <xsl:otherwise>
-                    <xsl:for-each select="$TOC/html:TOC/html:ul">
-                      <xsl:apply-templates select="html:li"/>
-                    </xsl:for-each>
-                  </xsl:otherwise>
-                </xsl:choose>
-                <navPoint>
-                  <navLabel>
-                    <text>[About this book]</text>
-                  </navLabel>
-                  <content src="titlepageback.xhtml"/>
-                </navPoint>
-              </xsl:variable>
-              <xsl:for-each select="$navPoints/ncx:navPoint">
-                <xsl:variable name="pos" select="position()"/>
-                <navPoint id="navPoint-{$pos}" playOrder="{$pos}">
-                  <xsl:copy-of select="*"/>
-                </navPoint>
-              </xsl:for-each>
-            </navMap>
-          </ncx>
-        </xsl:result-document>
-        <xsl:if test="$filePerPage='true'">
-          <xsl:if test="$verbose='true'">
-            <xsl:message>write file META-INF/com.apple.ibooks.display-options.xml</xsl:message>
-          </xsl:if>
-          <xsl:result-document href="{concat($directory,'/META-INF/com.apple.ibooks.display-options.xml')}">
-            <display_options xmlns="">
-              <platform name="*">
-                <option name="fixed-layout">true</option>
-              </platform>
-            </display_options>
-          </xsl:result-document>
-        </xsl:if>
-        <xsl:if test="$debug='true'">
-          <xsl:message>write file OPS/toc.html</xsl:message>
-        </xsl:if>
-        <xsl:result-document href="{concat($directory,'/OPS/toc.xhtml')}" method="xml" doctype-system="">
-          <html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops">
-            <head>
-              <title>
-                <xsl:call-template name="generateSimpleTitle"/>
-              </title>
-                <xsl:call-template name="linkCSS">
-		  <xsl:with-param
-		      name="file">stylesheet.css</xsl:with-param>
-		</xsl:call-template>
-            </head>
-            <body>
-              <section class="TableOfContents">
-                <header>
-                  <h1>Contents</h1>
-                </header>
-                <nav xmlns:epub="http://www.idpf.org/2007/ops" epub:type="toc" id="toc">
-                  <ol>
-                    <xsl:for-each select="$TOC/html:TOC/html:ul/html:li">
-                      <xsl:choose>
-                        <xsl:when test="not(html:a)"/>
-                        <xsl:when test="starts-with(html:a/@href,'#')"/>
-                        <xsl:when test="contains(@class,'headless')"/>
-                        <xsl:otherwise>
-                          <li>
-                            <a href="{html:a/@href}">
-                              <xsl:value-of select="html:span[@class='headingNumber']"/>
-                              <xsl:value-of select="normalize-space(html:a[1])"/>
-                            </a>
-                          </li>
-                        </xsl:otherwise>
-                      </xsl:choose>
-                    </xsl:for-each>
-                    <li>
-                      <a href="titlepageback.xhtml">[About this book]</a>
-                    </li>
-                  </ol>
-                </nav>
-                <nav xmlns:epub="http://www.idpf.org/2007/ops" epub:type="landmarks" id="guide">
-                  <h2>Guide</h2>
-                  <ol>
-                    <li>
-                      <a epub:type="titlepage" href="titlepage.xhtml">[Title page]</a>
-                    </li>
-                    <li>
-                      <a epub:type="bodymatter" href="index.xhtml">[The book]</a>
-                    </li>
-                    <li>
-                      <a epub:type="colophon" href="titlepageback.xhtml">[About this book]</a>
-                    </li>
-                  </ol>
-                </nav>
-              </section>
-            </body>
-          </html>
-        </xsl:result-document>
+							</meta>
+							<meta name="dtb:totalPageCount" content="0" />
+							<meta name="dtb:maxPageNumber" content="0" />
+						</head>
+						<docTitle>
+							<text>
+								<xsl:call-template name="generateSimpleTitle" />
+							</text>
+						</docTitle>
+						<navMap>
+							<xsl:variable name="navPoints">
+								<navPoint>
+									<navLabel>
+										<text>[Cover]</text>
+									</navLabel>
+									<content src="titlepage.xhtml" />
+								</navPoint>
+								<xsl:for-each
+									select="tei:text/tei:front/tei:titlePage[1]">
+									<xsl:variable name="N" select="position()" />
+									<navPoint>
+										<navLabel>
+											<text>[Title page]</text>
+										</navLabel>
+										<content src="titlepage{$N}.xhtml" />
+									</navPoint>
+								</xsl:for-each>
+								<xsl:choose>
+									<xsl:when
+										test="not($TOC/html:TOC/html:ul[@class='toc toc_body']/html:li)">
+										<xsl:for-each
+											select="$TOC/html:TOC/html:ul[@class='toc toc_front']">
+											<xsl:apply-templates select="html:li" />
+										</xsl:for-each>
+										<navPoint>
+											<navLabel>
+												<text>[The book]</text>
+											</navLabel>
+											<content src="index.xhtml" />
+										</navPoint>
+										<xsl:for-each
+											select="$TOC/html:TOC/html:ul[contains(@class,'group')]">
+											<xsl:apply-templates
+												select=".//html:li[not(contains(html:a/@href,'#'))]" />
+										</xsl:for-each>
+										<xsl:for-each
+											select="$TOC/html:TOC/html:ul[@class='toc toc_back']">
+											<xsl:apply-templates select="html:li" />
+										</xsl:for-each>
+									</xsl:when>
+									<xsl:otherwise>
+										<xsl:for-each select="$TOC/html:TOC/html:ul">
+											<xsl:apply-templates select="html:li" />
+										</xsl:for-each>
+									</xsl:otherwise>
+								</xsl:choose>
+								<navPoint>
+									<navLabel>
+										<text>[About this book]</text>
+									</navLabel>
+									<content src="titlepageback.xhtml" />
+								</navPoint>
+							</xsl:variable>
+							<xsl:for-each select="$navPoints/ncx:navPoint">
+								<xsl:variable name="pos" select="position()" />
+								<navPoint id="navPoint-{$pos}" playOrder="{$pos}">
+									<xsl:copy-of select="*" />
+								</navPoint>
+							</xsl:for-each>
+						</navMap>
+					</ncx>
+				</xsl:result-document>
+				<xsl:if test="$filePerPage='true'">
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							write file META-INF/com.apple.ibooks.display-options.xml
+						</xsl:message>
+					</xsl:if>
+					<xsl:result-document
+						href="{concat($directory,'/META-INF/com.apple.ibooks.display-options.xml')}">
+						<display_options xmlns="">
+							<platform name="*">
+								<option name="fixed-layout">true</option>
+							</platform>
+						</display_options>
+					</xsl:result-document>
+				</xsl:if>
+				<xsl:if test="$debug='true'">
+					<xsl:message>
+						write file OPS/toc.html
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document
+					href="{concat($directory,'/OPS/toc.xhtml')}" method="xml"
+					doctype-system="">
+					<html xmlns="http://www.w3.org/1999/xhtml"
+						xmlns:epub="http://www.idpf.org/2007/ops">
+						<head>
+							<title>
+								<xsl:call-template name="generateSimpleTitle" />
+							</title>
+							<xsl:call-template name="linkCSS">
+								<xsl:with-param name="file">
+									stylesheet.css
+								</xsl:with-param>
+							</xsl:call-template>
+						</head>
+						<body>
+							<section class="TableOfContents">
+								<header>
+									<h1>Contents</h1>
+								</header>
+								<nav xmlns:epub="http://www.idpf.org/2007/ops"
+									epub:type="toc" id="toc">
+									<ol>
+										<xsl:for-each
+											select="$TOC/html:TOC/html:ul/html:li">
+											<xsl:choose>
+												<xsl:when test="not(html:a)" />
+												<xsl:when test="starts-with(html:a/@href,'#')" />
+												<xsl:when test="contains(@class,'headless')" />
+												<xsl:otherwise>
+													<li>
+														<a href="{html:a/@href}">
+															<xsl:value-of
+																select="html:span[@class='headingNumber']" />
+															<xsl:value-of
+																select="normalize-space(html:a[1])" />
+														</a>
+													</li>
+												</xsl:otherwise>
+											</xsl:choose>
+										</xsl:for-each>
+										<li>
+											<a href="titlepageback.xhtml">[About this book]</a>
+										</li>
+									</ol>
+								</nav>
+								<nav xmlns:epub="http://www.idpf.org/2007/ops"
+									epub:type="landmarks" id="guide">
+									<h2>Guide</h2>
+									<ol>
+										<li>
+											<a epub:type="titlepage" href="titlepage.xhtml">[Title page]</a>
+										</li>
+										<li>
+											<a epub:type="bodymatter" href="index.xhtml">[The book]</a>
+										</li>
+										<li>
+											<a epub:type="colophon" href="titlepageback.xhtml">[About this book]</a>
+										</li>
+									</ol>
+								</nav>
+							</section>
+						</body>
+					</html>
+				</xsl:result-document>
 
-      </xsl:for-each>
-    </xsl:for-each>
-  </xsl:template>
+			</xsl:for-each>
+		</xsl:for-each>
+	</xsl:template>
 
-  <xsl:template name="opfmetadata">
-    <xsl:param name="author"/>
-    <xsl:param name="printAuthor"/>
-    <xsl:param name="coverImageOutside"/>
-    <metadata xmlns="http://www.idpf.org/2007/opf"
-	      xmlns:dc="http://purl.org/dc/elements/1.1/"
-	      xmlns:dcterms="http://purl.org/dc/terms/" 
-	      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	      xmlns:opf="http://www.idpf.org/2007/opf">
-      <dc:title id="title">
-	<xsl:call-template name="generateSimpleTitle"/>
-      </dc:title>
-      <meta refines="#title" property="title-type">main</meta>
-      <dc:creator id="creator">
-	<xsl:value-of select="$printAuthor"/>
-      </dc:creator>
-      <meta refines="#creator" property="file-as">
-	<xsl:value-of select="$author"/>
-      </meta>
-      <meta refines="#creator" property="role" scheme="marc:relators">aut</meta>
-      <dc:language>
-	<xsl:call-template name="generateLanguage"/>
-      </dc:language>
-      <xsl:call-template name="generateSubject"/>
-      <dc:identifier id="pub-id">
-	<xsl:call-template name="generateID"/>
-      </dc:identifier>
-      <meta refines="#pub-id" property="identifier-type" scheme="onix:codelist5">15</meta>
-      <dc:description>
-	<xsl:call-template name="generateSimpleTitle"/>
-	<xsl:text> / </xsl:text>
-	<xsl:value-of select="$author"/>
-      </dc:description>
-      <dc:publisher>
-	<xsl:call-template name="generatePublisher"/>
-      </dc:publisher>
-      <xsl:for-each select="tei:teiHeader/tei:profileDesc/tei:creation/tei:date[@notAfter]">
-	<dc:date id="creation">
-	  <xsl:value-of select="@notAfter"/>
-	</dc:date>
-      </xsl:for-each>
-      <xsl:for-each select="tei:teiHeader/tei:fileDesc/tei:sourceDesc//tei:date[@when][1]">
-	<dc:date id="original-publication">
-	  <xsl:value-of select="@when"/>
-	</dc:date>
-      </xsl:for-each>
-      <dc:date id="epub-publication">
-	<xsl:call-template name="generateDate"/>
-      </dc:date>
-      <dc:rights>
-	<xsl:call-template name="generateLicence"/>
-      </dc:rights>
-      <xsl:if test="not($coverImageOutside='')">
-	<meta name="cover" content="cover-image"/>
-      </xsl:if>
-      <meta property="dcterms:modified">
-	<xsl:call-template name="generateRevDate"/>
-      </meta>
-    </metadata>
-  </xsl:template>
+	<xsl:template name="opfmetadata">
+		<xsl:param name="author" />
+		<xsl:param name="printAuthor" />
+		<xsl:param name="coverImageOutside" />
+		<metadata xmlns="http://www.idpf.org/2007/opf"
+			xmlns:dc="http://purl.org/dc/elements/1.1/"
+			xmlns:dcterms="http://purl.org/dc/terms/"
+			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+			xmlns:opf="http://www.idpf.org/2007/opf">
+			<dc:title id="title">
+				<xsl:call-template name="generateSimpleTitle" />
+			</dc:title>
+			<meta refines="#title" property="title-type">main</meta>
+			<dc:creator id="creator">
+				<xsl:value-of select="$printAuthor" />
+			</dc:creator>
+			<meta refines="#creator" property="file-as">
+				<xsl:value-of select="$author" />
+			</meta>
+			<meta refines="#creator" property="role" scheme="marc:relators">aut</meta>
+			<dc:language>
+				<xsl:call-template name="generateLanguage" />
+			</dc:language>
+			<xsl:call-template name="generateSubject" />
+			<dc:identifier id="pub-id">
+				<xsl:call-template name="generateID" />
+			</dc:identifier>
+			<meta refines="#pub-id" property="identifier-type"
+				scheme="onix:codelist5">15</meta>
+			<dc:description>
+				<xsl:call-template name="generateSimpleTitle" />
+				<xsl:text> / </xsl:text>
+				<xsl:value-of select="$author" />
+			</dc:description>
+			<dc:publisher>
+				<xsl:call-template name="generatePublisher" />
+			</dc:publisher>
+			<xsl:for-each
+				select="tei:teiHeader/tei:profileDesc/tei:creation/tei:date[@notAfter]">
+				<dc:date id="creation">
+					<xsl:value-of select="@notAfter" />
+				</dc:date>
+			</xsl:for-each>
+			<xsl:for-each
+				select="tei:teiHeader/tei:fileDesc/tei:sourceDesc//tei:date[@when][1]">
+				<dc:date id="original-publication">
+					<xsl:value-of select="@when" />
+				</dc:date>
+			</xsl:for-each>
+			<dc:date id="epub-publication">
+				<xsl:call-template name="generateDate" />
+			</dc:date>
+			<dc:rights>
+				<xsl:call-template name="generateLicence" />
+			</dc:rights>
+			<xsl:if test="not($coverImageOutside='')">
+				<meta name="cover" content="cover-image" />
+			</xsl:if>
+			<meta property="dcterms:modified">
+				<xsl:call-template name="generateRevDate" />
+			</meta>
+		</metadata>
+	</xsl:template>
 
-  <xsl:template name="epubSpineHook"/>
-  <xsl:template name="epubManifestHook"/>
-  <xsl:template name="processTEIHook"/>
+	<xsl:template name="epubSpineHook" />
+	<xsl:template name="epubManifestHook" />
+	<xsl:template name="processTEIHook" />
 </xsl:stylesheet>
